#include <SPI.h>

const int SS_PIN = 5; // GPIO5 pour SS

void setup() {
  Serial.begin(115200);
  SPI.begin(); // Initialize the SPI library
  pinMode(SS_PIN, OUTPUT);
  digitalWrite(SS_PIN, HIGH); // Désactive le périphérique esclave
}

void loop() {
  digitalWrite(SS_PIN, LOW); // Active le périphérique esclave
  SPI.transfer(0x42); // Envoie un octet
  digitalWrite(SS_PIN, HIGH); // Désactive le périphérique esclave
  
  delay(1000); // Attendre une seconde avant le prochain envoi
}
